<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__bak__funcs" kind="group">
    <compoundname>group_sysclk_clk_bak_funcs</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__bak__funcs_1ga09031ac63142fe0837f87fb5dabea7a5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_ClkBakSetSource</definition>
        <argsstring>(cy_en_clkbak_in_sources_t source)</argsstring>
        <name>Cy_SysClk_ClkBakSetSource</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1gae43abac127a973232c6e4c1adbde0497">cy_en_clkbak_in_sources_t</ref></type>
          <declname>source</declname>
        </param>
        <briefdescription>
<para>Sets the source for the backup domain clock (clk_bak). </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>source</parametername>
</parameternamelist>
<parameterdescription>
<para><ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1gae43abac127a973232c6e4c1adbde0497">cy_en_clkbak_in_sources_t</ref></para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;clkLf is not available in all power modes. For this reason, WCO is the preferred source. If the WCO is routed through the clkLf multiplexer (see &lt;a href="group__group__sysclk__clk__lf__funcs.html#group__group__sysclk__clk__lf__funcs_1ga4d8aaf9e391eafb90aa8897d95525eb4"&gt;Cy_SysClk_ClkLfSetSource&lt;/a&gt;), select WCO directly - do not select clkLf.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Backup<sp />clock<sp />source<sp />needs<sp />to<sp />be<sp />updated<sp />to<sp />the<sp />WCO.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1ggae43abac127a973232c6e4c1adbde0497a9a82c90148622105cc000167a9b0428b">CY_SYSCLK_BAK_IN_WCO</ref><sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__bak__funcs_1gadd41a7db6f6c975b42936349f6fada4b">Cy_SysClk_ClkBakGetSource</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__bak__funcs_1ga09031ac63142fe0837f87fb5dabea7a5">Cy_SysClk_ClkBakSetSource</ref>(<ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1ggae43abac127a973232c6e4c1adbde0497a9a82c90148622105cc000167a9b0428b">CY_SYSCLK_BAK_IN_WCO</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3668" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3660" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3640" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__bak__funcs_1gadd41a7db6f6c975b42936349f6fada4b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1gae43abac127a973232c6e4c1adbde0497">cy_en_clkbak_in_sources_t</ref></type>
        <definition>__STATIC_INLINE cy_en_clkbak_in_sources_t Cy_SysClk_ClkBakGetSource</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_SysClk_ClkBakGetSource</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Reports the source for the backup domain clock (clk_bak). </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1gae43abac127a973232c6e4c1adbde0497">cy_en_clkbak_in_sources_t</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Backup<sp />clock<sp />source<sp />needs<sp />to<sp />be<sp />updated<sp />to<sp />the<sp />WCO.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1ggae43abac127a973232c6e4c1adbde0497a9a82c90148622105cc000167a9b0428b">CY_SYSCLK_BAK_IN_WCO</ref><sp />!=<sp /><ref kindref="member" refid="group__group__sysclk__clk__bak__funcs_1gadd41a7db6f6c975b42936349f6fada4b">Cy_SysClk_ClkBakGetSource</ref>())</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__bak__funcs_1ga09031ac63142fe0837f87fb5dabea7a5">Cy_SysClk_ClkBakSetSource</ref>(<ref kindref="member" refid="group__group__sysclk__clk__bak__enums_1ggae43abac127a973232c6e4c1adbde0497a9a82c90148622105cc000167a9b0428b">CY_SYSCLK_BAK_IN_WCO</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3686" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3683" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="3641" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>